Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portlet.filter
Class JBossPortletFilter

    java.lang.Object
      org.jboss.portlet.filter.JBossPortletFilter

All Implemented Interfaces:
  javax.portlet.filter.ActionFilter, javax.portlet.filter.EventFilter, javax.portlet.filter.PortletFilter, javax.portlet.filter.RenderFilter, javax.portlet.filter.ResourceFilter

    public class JBossPortletFilter

extends java.lang.Object
implements javax.portlet.filter.ActionFilter, javax.portlet.filter.RenderFilter, javax.portlet.filter.ResourceFilter, javax.portlet.filter.EventFilter

Version:
  $Revision$
Author:
  Thomas Heute

Constructor Summary
`JBossPortletFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response, javax.portlet.filter.FilterChain filterChain)`
`void` | `doFilter(javax.portlet.EventRequest eventRequest, javax.portlet.EventResponse eventResponse, javax.portlet.filter.FilterChain filterChain)`
`void` | `doFilter(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response, javax.portlet.filter.FilterChain filterChain)`
`void` | `doFilter(javax.portlet.ResourceRequest resourceRequest, javax.portlet.ResourceResponse resourceResponse, javax.portlet.filter.FilterChain filterChain)`
`void` | `init(javax.portlet.filter.FilterConfig arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossPortletFilter

    public JBossPortletFilter()

Method Detail

### doFilter

    public void doFilter(javax.portlet.ActionRequest request,
                         javax.portlet.ActionResponse response,
                         javax.portlet.filter.FilterChain filterChain)
                  throws java.io.IOException,
                         javax.portlet.PortletException

  Specified by:
    `doFilter` in interface `javax.portlet.filter.ActionFilter`
  Throws:
    `java.io.IOException`
    `javax.portlet.PortletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.portlet.filter.PortletFilter`

### init

    public void init(javax.portlet.filter.FilterConfig arg0)
              throws javax.portlet.PortletException

  Specified by:
    `init` in interface `javax.portlet.filter.PortletFilter`
  Throws:
    `javax.portlet.PortletException`

### doFilter

    public void doFilter(javax.portlet.RenderRequest request,
                         javax.portlet.RenderResponse response,
                         javax.portlet.filter.FilterChain filterChain)
                  throws java.io.IOException,
                         javax.portlet.PortletException

  Specified by:
    `doFilter` in interface `javax.portlet.filter.RenderFilter`
  Throws:
    `java.io.IOException`
    `javax.portlet.PortletException`

### doFilter

    public void doFilter(javax.portlet.ResourceRequest resourceRequest,
                         javax.portlet.ResourceResponse resourceResponse,
                         javax.portlet.filter.FilterChain filterChain)
                  throws java.io.IOException,
                         javax.portlet.PortletException

  Specified by:
    `doFilter` in interface `javax.portlet.filter.ResourceFilter`
  Throws:
    `java.io.IOException`
    `javax.portlet.PortletException`

### doFilter

    public void doFilter(javax.portlet.EventRequest eventRequest,
                         javax.portlet.EventResponse eventResponse,
                         javax.portlet.filter.FilterChain filterChain)
                  throws java.io.IOException,
                         javax.portlet.PortletException

  Specified by:
    `doFilter` in interface `javax.portlet.filter.EventFilter`
  Throws:
    `java.io.IOException`
    `javax.portlet.PortletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD